<style scoped>
  .title {
    height: 60px;
    line-height: 60px;
  }

  .search {
    background-color: #fff;
    height: 80px;
    display: flex;
    align-items: center;
  }
  .search_thing {
    display: flex;
    align-items: center;
    height: 50px;
  }
  .search_label {
    width: 120px;
    font-size: 14px;
    text-align: right;
  }

  .search_input {
    width: calc(100% - 120px);
  }
  .table {
    margin-top: 10px;
    background-color: #fff;
    width: calc(100% - 40px);
    height: calc(100% - 60px - 80px - 10px - 40px);
    padding: 20px;
  }

</style>
<template>
  <div class="below-standard-main">
    <div style="width: 100%;height: 100%;">
      <div>
        <el-row class="title">
          <el-col :span="12" style="padding-left: 20px;">不合格管理</el-col>
        </el-row>
      </div>
      <div class="search">
        <div class="search_thing">
          <div class="search_label">规格型号：</div>
          <div class="search_input">
              <el-input size="small" placeholder="请输入" clearable
              v-model="componentData.entity.model" @keyup.enter.native="refreshTable()"></el-input></div>
        </div>
        <div class="search_thing">
          <div class="search_label">样品名称：</div>
          <div class="search_input">
            <el-input size="small" placeholder="请输入" clearable v-model="componentData.entity.sample"
              @keyup.enter.native="refreshTable()"></el-input>
          </div>
        </div>
        <div class="search_thing" style="padding-left: 30px;">
          <el-button size="small" @click="refresh()">重 置</el-button>
          <el-button size="small" type="primary" @click="refreshTable()">查 询</el-button>
        </div>
      </div>
      <div class="table">
          <ValueTable ref="ValueTable" :url="$api.unPass.pageInsUnPass" :componentData="componentData"
          :key="upIndex" />
      </div>
    </div>
  </div>
</template>

<script>
  import ValueTable from '../tool/value-table.vue'
  import Word from '../tool/word.vue'
  import file from '../../util/file';
  import {
    convertToHtml
  } from 'mammoth';
export default {
  components: {
    ValueTable,
    Word,
  },
  data() {
    return {
        componentData: {
          entity: {
            sample: null,
            model: null,
          },
          isIndex: true,
          showSelect: false,
          select: false,
          do: [
          ],
          linkEvent: {
            // code: {
            //   method: 'selectAllByOne'
            // }
          },
          
        },
        entityCopy: {},
        upIndex: 0,
        statusList: [],
        
      }
  },
  mounted() {
    this.entityCopy = this.HaveJson(this.componentData.entity)
    this.getPower()
  },
  methods :{
    refreshTable() {
        this.$refs['ValueTable'].selectList()
      },
    refresh() {
        this.componentData.entity = this.HaveJson(this.entityCopy)
        this.upIndex++
      },
    // 权限分配
    getPower(radio) {
        let power = JSON.parse(sessionStorage.getItem('power'))
      },
  }
}
</script>

